Uploading
Start Connector workflow
Requires session status UPLOADING, finished background tasks, and at least one uploaded entity.
POST
/
uploading
/
{upload_uuid}
/
start-upload
Start Connector workflow
curl --request POST \
--url https://etl-api-dev2.datawiz.io/api/v1/uploading/{upload_uuid}/start-upload \
--header 'Authorization: <api-key>' \
--header 'Client-Id: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"date_from": "2023-12-25",
"date_to": "2023-12-25"
}
'import requests
url = "https://etl-api-dev2.datawiz.io/api/v1/uploading/{upload_uuid}/start-upload"
payload = {
"date_from": "2023-12-25",
"date_to": "2023-12-25"
}
headers = {
"Authorization": "<api-key>",
"Client-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<api-key>',
'Client-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({date_from: '2023-12-25', date_to: '2023-12-25'})
};
fetch('https://etl-api-dev2.datawiz.io/api/v1/uploading/{upload_uuid}/start-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Path Parameters
Body
application/json
Response
Successful Response
ETL service response status.
Previous
Delete upload sessionAllowed only in `UPLOADING` status. File deletion runs in the background.
Next
⌘I
Start Connector workflow
